.item {
  .drop-border {
    border: 1px dashed transparent;
    border-radius: 4px;
  }
  &.drop-before > .drop-border{
    border-top-color: darkgreen;
  }
  &.drop-after > .drop-border{
    border-bottom-color: darkgreen;
  }
  &.drop-inner > .drop-border{
    border-color: darkgreen;
  }
  .current {
    display: flex;
    align-items: center;
    &.updating {
      .form-group .name {
        box-shadow: 0 0 0 .2rem rgb(255, 238, 186, 0.25);
      }

      .actions {
        opacity: 1;
        transition: none;

        & > .action {
          display: none;
        }

        & > .action.spinner {
          @keyframes rotate_spinner {
            from {
              transform: rotate(0deg);
            }
            to {
              transform: rotate(360deg);
            }
          }
          display: block;
          transform: rotate(360deg);
          animation: rotate_spinner 1s linear 0s infinite;
        }
      }
    }

    &.updated .form-group .name {
      box-shadow: 0 0 0 .2rem rgba(40, 167, 69, .25);
    }

    &:hover .actions {
      opacity: 1;
      transition: opacity 500ms 250ms ease;
    }

    .actions {
      opacity: 0;
      transition-duration: 0ms;

      &.actions-left {
        margin-right: 1rem;
      }
      & > .action {
        margin-left: 1rem;
      }

      .action.spinner {
        display: none;
      }

      .action.move {
        cursor: grab;
      }

    }

    .form-group {
      position: relative;
      margin-bottom: 0;

      .name {
        border: none;

        &:hover, &:focus {
          border: inherit;
        }

        &.ng-invalid.ng-dirty {
          box-shadow: 0 0 0 .2rem rgba(220, 53, 69, 0.25);

          &:hover ~ .invalid-feedback, &:focus ~ .invalid-feedback {
            display: inherit;
          }
        }
      }

      .invalid-feedback {
        display: none;
        position: absolute;
        z-index: 1;
      }

    }
  }
}



.list {
  margin-left: 20px;
}
